summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xutils/docs-build.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/utils/docs-build.sh b/utils/docs-build.sh
index 55cb9f652..7c444e3d8 100755
--- a/utils/docs-build.sh
+++ b/utils/docs-build.sh
@@ -182,9 +182,14 @@ do
# TODO: failures in ODT creation should be handled error and
# cause 'exit 1' before OPNFV B release.
tex=$(find $build -name '*.tex' | head -1)
- odt=$(basename "${tex%.tex}.odt")
+ odt="${tex%.tex}.odt"
if [[ -e $tex ]] && which pandoc > /dev/null ; then
- pandoc $tex -o $output/$odt || {
+ (
+ cd $(dirname $tex)
+ pandoc $(basename $tex) -o $(basename $odt)
+ ) && {
+ mv $odt $output/
+ }|| {
msg="Error: ODT creation for $dir has failed."
echo
echo "$msg"